Requires write_translation access scope.
For more info, refer to:
PUT https://{handle}.myshopline.com/admin/openapi/v20260901/ugc/resource.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Update a store's translation data.
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
  • resource_listobject[] required
    List of store resource information to be updated.
    Maximum size: 200.
  • resource_type string required
    The type of the resource. Valid values are:
    • COLLECTION: Collection
    • PRODUCT: Product
    • PRODUCT_Category: Product category
    • PRODUCT_OPTION: Product option
    • PRODUCT_VARIANT: Product variant
    • SELLING_PLAN: Selling plan
    • FILTER: Filter
    • FILTER_GROUP: Filter group
    • FILTER_VALUE: Filter value
    • SORT: Sort
    • DELIVERY_METHOD: Delivery method
    • PAYMENT_METHOD: Payment method
    • TAXES: Taxes
    • SETTLE_CONFIG: Settlement configuration
    • SETTLE_ADDITIONAL_INFO: Settlement additional information
    • WEBSITE_BLOG: Website blog
    • WEBSITE_BLOG_COLLECTION: Website blog collection
    • WEBSITE_CUSTOMIZE_PAGE: Website customize page
    • WEBSITE_NAVIGATION: Website navigation
    • WEBSITE_POLICY_PAGE: Website policy page
    • LINK: Link
    • METAFIELD: Metafield
    Example: COLLECTION
  • content_listobject[] required
    List of translation corpus corresponding to the resource.
    Maximum size: 100.
  • resource_content string required
    Translated resource content.
    Example: The content of the key to the key of the cot
  • resource_field string required
    The resource attribute associated with resource_content. For example, when resource_type is PRODUCT and resource_field is title, resource_content represents the product title. The range of valid values depends on resource_type. Refer to resource_type and resource_field for the valid values and mapping between resource_field and resource_type.
    Example: title
  • locale string required
    Language used in the market.
    Example: en
  • market string
    The primary market for the store.
    Example: 2805652120189036673434
  • resource_id string required
    The resource ID.
    For example, when resource_type is PRODUCT, this parameter value is the product ID.
    Example: 16065157700911371584482600
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • dataobject
    Response data.
  • fail_listobject[]
    A list of updated failure information for store translation data.
  • fail_cause string
    Error code for the update failure.
    Example: VERIFY_RESOURCE_FAIL
  • locale string
    Language used in the market.
    Example: en
  • market string
    The primary market for the store.
    Example: 2805652120189036673434
  • resource_content string
    Translated resource content.
    Example: The content of the key to the key of the cot
  • resource_field string
    The resource attribute associated with resource_content. For example, when resource_type is PRODUCT and resource_field is title, resource_content represents the product title. The range of valid values depends on resource_type. Refer to resource_type and resource_field for the valid values and mapping between resource_field and resource_type.
    Example: title
  • resource_id string
    The resource ID.
    For example, when resource_type is PRODUCT, this parameter value is the product ID.
  • resource_type string
    The type of the resource. Valid values are:
    • COLLECTION: Collection
    • PRODUCT: Product
    • PRODUCT_Category: Product category
    • PRODUCT_OPTION: Product option
    • PRODUCT_VARIANT: Product variant
    • SELLING_PLAN: Selling plan
    • FILTER: Filter
    • FILTER_GROUP: Filter group
    • FILTER_VALUE: Filter value
    • SORT: Sort
    • DELIVERY_METHOD: Delivery method
    • PAYMENT_METHOD: Payment method
    • TAXES: Taxes
    • SETTLE_CONFIG: Settlement configuration
    • SETTLE_ADDITIONAL_INFO: Settlement additional information
    • WEBSITE_BLOG: Website blog
    • WEBSITE_BLOG_COLLECTION: Website blog collection
    • WEBSITE_CUSTOMIZE_PAGE: Website customize page
    • WEBSITE_NAVIGATION: Website navigation
    • WEBSITE_POLICY_PAGE: Website policy page
    • LINK: Link
    • METAFIELD: Metafield
    Example: COLLECTION
  • resource_listobject[]
    A list of store transaction data that was successfully updated.
  • resource_type string
    The type of the resource. Valid values are:
    • COLLECTION: Collection
    • PRODUCT: Product
    • PRODUCT_Category: Product category
    • PRODUCT_OPTION: Product option
    • PRODUCT_VARIANT: Product variant
    • SELLING_PLAN: Selling plan
    • FILTER: Filter
    • FILTER_GROUP: Filter group
    • FILTER_VALUE: Filter value
    • SORT: Sort
    • DELIVERY_METHOD: Delivery method
    • PAYMENT_METHOD: Payment method
    • TAXES: Taxes
    • SETTLE_CONFIG: Settlement configuration
    • SETTLE_ADDITIONAL_INFO: Settlement additional information
    • WEBSITE_BLOG: Website blog
    • WEBSITE_BLOG_COLLECTION: Website blog collection
    • WEBSITE_CUSTOMIZE_PAGE: Website customize page
    • WEBSITE_NAVIGATION: Website navigation
    • WEBSITE_POLICY_PAGE: Website policy page
    • LINK: Link
    • METAFIELD: Metafield
    Example: COLLECTION
  • updated_at string
    The date and time when the translation data was last updated. Format: ISO 8601.
    Example: 2023-09-07T15:50:00Z
  • locale string
    Language used in the market.
    Example: en
  • market string
    The primary market for the store.
    Example: 2805652120189036673434
  • outdated boolean
    Whether the translation data is outdated or up-to-date. If the original content has been updated but its translation has not, the translation data is considered to be outdated.
    • true: The translation data is outdated.
    • false: The translation data is up-to-date.
  • resource_content string
    Translated resource content.
    Example: The content of the key to the key of the cot
  • resource_field string
    The resource attribute associated with resource_content. For example, when resource_type is PRODUCT and resource_field is title, resource_content represents the product title. The range of valid values depends on resource_type. Refer to resource_type and resource_field for the valid values and mapping between resource_field and resource_type.
    Example: title
  • resource_id string
    The resource ID.
    For example, when resource_type is PRODUCT, this parameter value is the product ID.
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901

ParamOptions

— header required

Body

required
{
  "resource_list": [
    {}
  ]
}

Language

curl --request PUT \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901/ugc/resource.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Update the English translation for a product title in a specific market
Request
{
"resource_list": [
{
"content_list": [
{
"resource_content": "test content1",
"resource_field": "title"
}
],
"locale": "en",
"market": "2805979406510623080534",
"resource_id": "16067911850440298506251820",
"resource_type": "PRODUCT"
},
{
"content_list": [
{
"resource_content": "test content2",
"resource_field": "title"
}
],
"locale": "en",
"market": "2805979406510623080535",
"resource_id": "16067911850440298506251820",
"resource_type": "PRODUCT"
}
]
}
Response
{
"data": {
"fail_list": [
{
"resource_id": "16067911850440298506251820",
"resource_type": "PRODUCT",
"fail_cause": "MARKET_NOT_EXIST",
"locale": "en",
"market": "2805979406510623080535",
"resource_content": "test content2",
"resource_field": "title"
}
],
"resource_list": [
{
"market": "2805979406510623080534",
"outdated": false,
"resourceContent": "test content1",
"resourceField": "title",
"resourceId": "16067911850440298506251820",
"resourceType": "PRODUCT",
"updatedAt": "2025-01-04T07:01:18Z",
"locale": "en"
}
]
}
}
Was this article helpful to you?